## AgsLv2Conversion

AgsLv2Conversion — Conversion of values

## Stability Level

Stable, unless otherwise indicated

## Functions

gboolean | ags_lv2_conversion_test_flags ()
void | ags_lv2_conversion_set_flags ()
void | ags_lv2_conversion_unset_flags ()
AgsLv2Conversion * | ags_lv2_conversion_new ()

## Properties

double | lower | Read / Write
double | step-count | Read / Write
double | upper | Read / Write

## Types and Values

#define | AGS_LV2_CONVERSION_DEFAULT_LOWER
#define | AGS_LV2_CONVERSION_DEFAULT_UPPER
#define | AGS_LV2_CONVERSION_DEFAULT_STEP_COUNT
enum | AgsLv2ConversionFlags

## Object Hierarchy

        GFlags
        ╰── AgsLv2ConversionFlags
        GObject
        ╰── AgsConversion
            ╰── AgsLv2Conversion

## Includes

    #include <ags/plugin/ags_lv2_conversion.h>

## Description

The AgsLv2Conversion converts values.

## Functions

### ags_lv2_conversion_test_flags ()

    gboolean
    ags_lv2_conversion_test_flags (AgsLv2Conversion *lv2_conversion,
                                   AgsLv2ConversionFlags flags);

Test `flags` to be set on `recall` .

#### Parameters

lv2_conversion | the AgsLv2Conversion |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_lv2_conversion_set_flags ()

    void
    ags_lv2_conversion_set_flags (AgsLv2Conversion *lv2_conversion,
                                  AgsLv2ConversionFlags flags);

Set flags.

#### Parameters

lv2_conversion | the AgsLv2Conversion |
flags | the flags |

Since: 3.0.0

### ags_lv2_conversion_unset_flags ()

    void
    ags_lv2_conversion_unset_flags (AgsLv2Conversion *lv2_conversion,
                                    AgsLv2ConversionFlags flags);

Unset flags.

#### Parameters

lv2_conversion | the AgsLv2Conversion |
flags | the flags |

Since: 3.0.0

### ags_lv2_conversion_new ()

    AgsLv2Conversion *
    ags_lv2_conversion_new ();

Create a new instance of AgsLv2Conversion.

#### Returns

the new AgsLv2Conversion

Since: 3.0.0

## Types and Values

### AGS_LV2_CONVERSION_DEFAULT_LOWER

    #define AGS_LV2_CONVERSION_DEFAULT_LOWER (0.00001)

### AGS_LV2_CONVERSION_DEFAULT_UPPER

    #define AGS_LV2_CONVERSION_DEFAULT_UPPER (1.0)

### AGS_LV2_CONVERSION_DEFAULT_STEP_COUNT

    #define AGS_LV2_CONVERSION_DEFAULT_STEP_COUNT (1025.0)

### enum AgsLv2ConversionFlags

Enum values to control the behavior or indicate internal state of AgsLv2Conversion by enable/disable as flags.

#### Members

AGS_LV2_CONVERSION_LOGARITHMIC | logarithmic |

## Property Details

### The `“lower”` property

      “lower”                    double

The lower to be used.

Owner: AgsLv2Conversion

Flags: Read / Write

Default value: 1e-05

Since: 3.0.0

### The `“step-count”` property

      “step-count”               double

The step count to be used.

Owner: AgsLv2Conversion

Flags: Read / Write

Allowed values: >= 0

Default value: 1025

Since: 3.0.0

### The `“upper”` property

      “upper”                    double

The upper to be used.

Owner: AgsLv2Conversion

Flags: Read / Write

Default value: 1

Since: 3.0.0